{{page-title @model.team.name}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <Manage::Container @title={{@model.team.name}} @breadcrumbs={{this.breadcrumbs}}>
    <:extra>
      {{#if this.hasArticles}}
        <LinkTo @route="manage.dashboards.articles" @model={{@model.team.id}} class="btn btn-show-articles">
          <FaIcon @icon="file-lines" />
          {{capitalize (t "view articles")}}
        </LinkTo>
      {{/if}}

      <div class="float-end">
        {{#if @model.team.canEdit}}
          <LinkTo @route="manage.teams.edit" @model={{@model.team.id}} class="btn btn-edit">
            <FaIcon @icon="pencil-alt" />
            {{capitalize (t "manage team")}}
          </LinkTo>
        {{/if}}
      </div>

      <div class="clearfix"></div>
    </:extra>

    <:content>
      <div class="row">
        {{#if @model.maps.length}}
          <div class="col mb-5">
            <Manage::Dashboard::TeamStats @team={{@model.team}} />
          </div>
        {{/if}}
      </div>

      <div class="row">
        {{#if @model.team.subscription.name}}
          <div class="col mb-5">
            <Manage::TeamSubscription @value={{@model.team.subscription}} @id={{@model.team.id}} />
          </div>
        {{/if}}
      </div>

      {{#if this.categories}}
        <div class="team-categories" ...attributes>
          <div class="manage-container-toolbar shadow">
            <button class="btn btn-group-name {{if (eq this.category "") "btn-selected"}}" type="button"
              {{on "click" (fn this.selectCategory "")}}>
              {{t "all"}}
            </button>

            <div class="sep"></div>
            {{#each this.categories as |category|}}
              <button class="btn btn-group-name {{if (eq this.category category) "btn-selected"}}" type="button"
                {{on "click" (fn this.selectCategory category)}}>
                {{t (concat "manage-section." category)}}
              </button>
            {{/each}}
          </div>
        </div>
      {{/if}}

      <div class="row">
        <div class="col order-2 order-md-1">
          {{#if this.showCreateMapAlert}}
            <div class="alert alert-info" role="alert">
              <h5 class="alert-heading capitalize-first-letter">{{t "create-first-map"}}</h5>
              <p>
                {{t "create-first-map-message"}}
              </p>
              <div class="d-block">
                <LinkTo @route="manage.maps.add" class="mt-3 btn btn-info btn-add-map">{{t "create-map"}}</LinkTo>
              </div>
            </div>
          {{/if}}

          <div class="row row-cols-1 row-cols-sm-2 row-cols-md-3 row-cols-lg-4 g-4 mb-5 align-items-stretch">
            {{#if this.category}}
              {{#each (get @model this.category) as |record|}}
                {{#unless record.isDeleted}}
                  <div class="col">
                    <Manage::CardDashboard class="card-dashboard-{{this.category}}" @record={{record}}
                      @onDelete={{this.deleteRecord}} />
                  </div>
                {{/unless}}
              {{/each}}
            {{else}}
              {{#each @model.maps as |map index|}}
                <div class="col">
                  <Manage::CardDashboard class="card-dashboard-map" @record={{map}} @onDelete={{this.deleteRecord}}
                    @title={{if (eq index 0) (t "manage-section.maps")}} />
                </div>
              {{/each}}

              {{#each @model.campaigns as |campaign index|}}
                <div class="col">
                  <Manage::CardDashboard class="card-dashboard-campaign" @record={{campaign}}
                    @onDelete={{this.deleteRecord}} @title={{if (eq index 0) (t "manage-section.surveys")}} />
                </div>
              {{/each}}

              {{#each @model.calendars as |calendar index|}}
                <div class="col">
                  <Manage::CardDashboard class="card-dashboard-calendar" @record={{calendar}}
                    @onDelete={{this.deleteRecord}} @title={{if (eq index 0) (t "manage-section.calendars")}} />
                </div>
              {{/each}}

              {{#each @model.newsletters as |newsletter index|}}
                <div class="col">
                  <Manage::CardDashboard class="card-dashboard-newsletter" @record={{newsletter}}
                    @onDelete={{this.deleteRecord}} @title={{if (eq index 0) (t "manage-section.newsletters")}} />
                </div>
              {{/each}}

              {{#each @model.iconSets as |iconSet index|}}
                <div class="col">
                  <Manage::CardDashboard class="card-dashboard-icon-set" @record={{iconSet}}
                    @onDelete={{this.deleteRecord}} @title={{if (eq index 0) (t "manage-section.icon sets")}} />
                </div>
              {{/each}}

              {{#each @model.basemaps as |basemap index|}}
                {{#unless basemap.isDeleted}}
                  <div class="col">
                    <Manage::CardDashboard class="card-dashboard-basemap" @record={{basemap}}
                      @onDelete={{this.deleteRecord}} @title={{if (eq index 0) (t "manage-section.basemaps")}} />
                  </div>
                {{/unless}}
              {{/each}}

              {{#each @model.spaces as |space index|}}
                {{#unless space.isDeleted}}
                  <div class="col">
                    <Manage::CardDashboard class="card-dashboard-space" @record={{space}}
                      @onDelete={{this.deleteRecord}} @title={{if (eq index 0) (t "manage-section.spaces")}} />
                  </div>
                {{/unless}}
              {{/each}}

              {{#each @model.dataBindings as |dataBinding index|}}
                {{#unless dataBinding.isDeleted}}
                  <div class="col">
                    <Manage::CardDashboard class="card-dashboard-data-binding" @record={{dataBinding}}
                      @onDelete={{this.deleteRecord}} @title={{if (eq index 0) (t "manage-section.dataBindings")}} />
                  </div>
                {{/unless}}
              {{/each}}

              {{#each @model.presentations as |presentation index|}}
                {{#unless presentation.isDeleted}}
                  <div class="col">
                    <Manage::CardDashboard class="card-dashboard-presentation" @record={{presentation}}
                      @onDelete={{this.deleteRecord}} @title={{if (eq index 0) (t "manage-section.presentations")}} />
                  </div>
                {{/unless}}
              {{/each}}
            {{/if}}
          </div>
        </div>
      </div>
    </:content>
  </Manage::Container>
{{/if}}